Crayon Syntax Highlighter 2.8.4がphp 7.4.3とぶつかる?

確定ではないが、Crayon Syntax Highlighter 2.8.4がPHP 7.4.3とぶつかているよう!?

ぶつかっている確信は持てないが、トラブったのでメモ。

【環境】
・Wordpress 5.4
・PHP 7.4.3
・Crayon Syntax Highlighter 2.8.4

【症状】
・php 7.2.27をphp7.4.2にアップデートすると、ソースコードを含んだページが表示されなくなる。白ページではなく、途中まで表示され、それ以下が表示されない。


・ソースコードが入っている投稿記事すべてが表示されないのではなく、表示できるページとされないページがある。この違いの理由は不明。確認したページは、phpコードが記述されていた。
・Gutenbergの「Inline code」を用いても、投稿記事は表示されないまま。

【対策】
・Crayon Syntax Highlighter 2.8.4を停止したら、表示されるようになった。

【その他の情報】
・Gutenbergには、「Inline code」があるので、コードの記述は当面それで対応する。→ 様子見ということ。
・php 7.3から、Crayon Syntax Highlighter がぶつかるようになったみたい。ネット上の記事によると、php 7.3で正規表現の挙動が変わったため問題がおきるらしい。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です